For the complete documentation index, see llms.txt. This page is also available as Markdown.

List\Create Customers

The List Customers endpoint retrieves customer records matching an RSQL filter query, with support for pagination and sorting. The Create Customer endpoint creates a new shopper record and returns a UUID for use in downstream payment requests.

List Customers

List Customers

get
/v2/customer
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
searchstringRequired

A filter query in RSQL format to retrieve customers. The returned customers are limited to those that can be retrieved by the user.

Filterable fields:

CriteriaTypeOperators
billing.address_1string==, !=, =in=, =out=, =regex=
billing.address_2string==, !=, =in=, =out=, =regex=
billing.address_3string==, !=, =in=, =out=, =regex=
billing.citystring==, !=, =in=, =out=, =regex=
billing.country_codestring==, !=, =in=, =out=, =regex=
billing.first_namestring==, !=, =in=, =out=, =regex=
billing.middle_namestring==, !=, =in=, =out=, =regex=
billing.last_namestring==, !=, =in=, =out=, =regex=
billing.phonestring==, !=, =in=, =out=, =regex=
billing.postal_codestring==, !=, =in=, =out=, =regex=
billing.statestring==, !=, =in=, =out=, =regex=
company_namestring==, !=, =in=, =out=, =regex=
company_registration_numberstring==, !=, =in=, =out=, =regex=
email_addressstring==, !=, =in=, =out=, =regex=
entity_idstring==, !=, =in=, =out=, =regex=
idstring==, !=, =in=, =out=, =regex=
phone_numberstring==, !=, =in=, =out=, =regex=
shipping.address_1string==, !=, =in=, =out=, =regex=
shipping.address_2string==, !=, =in=, =out=, =regex=
shipping.address_3string==, !=, =in=, =out=, =regex=
shipping.citystring==, !=, =in=, =out=, =regex=
shipping.country_codestring==, !=, =in=, =out=, =regex=
shipping.first_namestring==, !=, =in=, =out=, =regex=
shipping.middle_namestring==, !=, =in=, =out=, =regex=
shipping.last_namestring==, !=, =in=, =out=, =regex=
shipping.phonenumber==, !=, =in=, =out=, =gt=, =ge=, =lt=, =le=
shipping.postal_codestring==, !=, =in=, =out=, =regex=
shipping.statestring==, !=, =in=, =out=, =regex=
titlestring==, !=, =in=, =out=, =regex=
work_phonestring==, !=, =in=, =out=, =regex=
tax.identifierstring==, !=, =in=, =out=, =regex=
created_atdate==, !=, =in=, =out=, =gt=, =ge=, =lt=, =le=
updated_atdate==, !=, =in=, =out=, =gt=, =ge=, =lt=, =le=
languagestring==, !=, =in=, =out=, =regex=

Operators:

OperatorDescription
==equal
!=not equal
=lt=less than
=le=less than and equal to
=gt=greater than
=ge=greater than and equal to
=regex=pattern matching
=in=multiple arguments search
=out=exclude
;Logical AND
,Logical OR

Note: Logical AND (;) has higher precedence than Logical OR (,). Use parentheses () to override operator precedence.

Examples:

/v2/customer?search=id==123&order_by=ASC&order_criteria=email_address&page_size=1&page_number=2

/v2/customer?search=id==123435&order_by=DESC&order_criteria=billing.address_1&page_size=10&page_number=1

/v2/customer?search=id==dg373&order_by=ASC&order_criteria=company_name&page_size=1&page_number=2
order_criteriastringOptional

The field to order results by. If not specified, results are ordered by created date.

Allowed values: billing.address_1, billing.address_2, billing.address_3, billing.city, billing.country_code, billing.first_name, billing.middle_name, billing.last_name, billing.phone, billing.postal_code, billing.state, company_name, company_registration_number, email_address, entity_id, id, phone_number, shipping.address_1, shipping.address_2, shipping.address_3, shipping.city, shipping.country_code, shipping.first_name, shipping.last_name, shipping.phone, shipping.postal_code, shipping.state, title, work_phone, tax.identifier, created_at

order_bystring · enumOptional

The sort direction. Defaults to DESC if not specified.

Possible values:
page_numberinteger · min: 1Optional

Page number to retrieve. Defaults to 1 if not specified.

page_sizeinteger · min: 1Optional

Number of results per page. Defaults to 50 if not specified.

Responses
200

Successful

application/json
idstring · uuidRequired

Customer UUID.

company_namestring · max: 100Optional

Company name of the customer. Required when billing.first_name and billing.last_name are not provided.

company_registration_numberstring · max: 24Optional

Unique identifier of the company recognised by the government. Known as CoC (Chamber of Commerce) number in some countries.

email_addressstring · email · max: 255Optional

Consumer's email address.

Note: Required for 3DS. Please refer to the 3D Secure API specification for format requirements.

entity_idstringRequired

Entity ID on which the customer is created.

phone_numberstring · max: 25Optional

Cardholder's phone number.

Pattern: ^[0-9\s\-+().-]+$
titlestring · max: 120Optional

Customer's title (e.g. Mr, Mrs, Dr).

Pattern: ^[a-zA-Z\-\s.]+$
work_phonestring · max: 25Optional

Consumer's work phone number.

Pattern: ^[0-9\s\-+().-]+$
languagestringOptional

Customer language preference for Invoice documents. See Localisation for details.

created_atstring · date-timeRequired

Timestamp when this customer was created.

updated_atstring · date-timeRequired

Timestamp when this customer was last updated.

get
/v2/customer

RSQL Filter Reference

The search parameter is required and accepts an RSQL query string. Results are limited to customers accessible to the authenticated user.

Use these with text fields such as email_address, billing.first_name, billing.country_code, and most others:

Operator
Description

==

Equal

!=

Not equal

=in=

Match any of multiple values

=out=

Exclude multiple values

=regex=

Pattern match

Example queries:

If order_criteria is not specified, results are ordered by created_at. If order_by is not specified, the default sort direction is DESC. page_size defaults to 50 and page_number defaults to 1.

Create Customer

Create Customer

post
/v2/customer
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
company_namestring · max: 100Optional

Company name of the customer. Required when billing.first_name and billing.last_name are not provided.

company_registration_numberstring · max: 24Optional

Unique identifier of the company recognised by the government. Known as CoC (Chamber of Commerce) number in some countries.

email_addressstring · email · max: 255Optional

Consumer's email address.

Field required for: Klarna, PayPal

Note: Required for 3DS. Please refer to the 3D Secure API specification for format requirements.

entity_idstringRequired

Entity ID on which the customer is created. The Entity ID can be found at the organisation level as Organisation ID (Administration > Organizations > [Organization] > Organisation ID).

phone_numberstring · max: 25Optional

Cardholder's phone number.

Pattern: ^[0-9\s\-+().-]+$
titlestring · max: 120Optional

Customer's title (e.g. Mr, Mrs, Dr).

Pattern: ^[a-zA-Z\-\s.]+$
work_phonestring · max: 25Optional

Consumer's work phone number.

Pattern: ^[0-9\s\-+().-]+$
languagestringOptional

Customer language preference for Invoice documents. See Localisation for details.

Responses
200

Successful

application/json
idstring · uuidRequired

Customer UUID.

company_namestring · max: 100Optional

Company name of the customer. Required when billing.first_name and billing.last_name are not provided.

company_registration_numberstring · max: 24Optional

Unique identifier of the company recognised by the government. Known as CoC (Chamber of Commerce) number in some countries.

email_addressstring · email · max: 255Optional

Consumer's email address.

Note: Required for 3DS. Please refer to the 3D Secure API specification for format requirements.

entity_idstringRequired

Entity ID on which the customer is created.

phone_numberstring · max: 25Optional

Cardholder's phone number.

Pattern: ^[0-9\s\-+().-]+$
titlestring · max: 120Optional

Customer's title (e.g. Mr, Mrs, Dr).

Pattern: ^[a-zA-Z\-\s.]+$
work_phonestring · max: 25Optional

Consumer's work phone number.

Pattern: ^[0-9\s\-+().-]+$
languagestringOptional

Customer language preference for Invoice documents. See Localisation for details.

created_atstring · date-timeRequired

Timestamp when this customer was created.

updated_atstring · date-timeRequired

Timestamp when this customer was last updated.

post
/v2/customer

Request field reference

Field
Type
Notes

entity_id

string

Entity ID on which the customer is created. Found under Administration > Organizations > [Organization] > Organisation ID.

billing.first_name or company_name

string

One of these is required. Use company_name for business customers.

billing.last_name

string

Required when company_name is not provided.

Response — capturing the customer UUID

A successful 200 response returns a CustomerResponse object. The most important field is id:

Was this helpful?